Closed Bug 1577304 Opened 2 years ago Closed 2 years ago

Intermittent toolkit/mozapps/extensions/test/xpcshell/xml-blocklist/test_blocklist_telemetry.js | test_lastModifed_xml_on_blocklist_loaded_from_disk - [test_lastModifed_xml_on_blocklist_loaded_from_disk : 183] Got the expect the telemetry scalar value

Categories

(Toolkit :: Blocklist Implementation, defect, P5)

defect

Tracking

()

RESOLVED FIXED
Tracking Status
firefox-esr68 --- unaffected
firefox73 --- wontfix
firefox74 --- wontfix
firefox75 --- wontfix
firefox76 --- fixed

People

(Reporter: intermittent-bug-filer, Unassigned)

References

Details

(Keywords: intermittent-failure, regression, Whiteboard: [stockwell unknown])

Filed by: ccoroiu [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=263907130&repo=autoland
Full log: https://queue.taskcluster.net/v1/task/M0S6IuNhRumZdpIrNInYeQ/runs/0/artifacts/public/logs/live_backing.log


task 2019-08-28T18:41:48.300Z] 18:41:48 INFO - TEST-START | toolkit/mozapps/extensions/test/xpcshell/xml-blocklist/test_blocklist_telemetry.js
[task 2019-08-28T18:41:49.135Z] 18:41:49 WARNING - TEST-UNEXPECTED-FAIL | toolkit/mozapps/extensions/test/xpcshell/xml-blocklist/test_blocklist_telemetry.js | xpcshell return code: 0
[task 2019-08-28T18:41:49.135Z] 18:41:49 INFO - TEST-INFO took 832ms
[task 2019-08-28T18:41:49.135Z] 18:41:49 INFO - >>>>>>>
[task 2019-08-28T18:41:49.136Z] 18:41:49 INFO - PID 2688 | Unable to load \untrusted-startup-test-dll.dll; LoadLibraryW failed: 126
[task 2019-08-28T18:41:49.136Z] 18:41:49 INFO - (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2019-08-28T18:41:49.136Z] 18:41:49 INFO - (xpcshell/head.js) | test run_next_test 0 pending (2)
[task 2019-08-28T18:41:49.136Z] 18:41:49 INFO - (xpcshell/head.js) | test MAIN run_test finished (2)
[task 2019-08-28T18:41:49.136Z] 18:41:49 INFO - running event loop
[task 2019-08-28T18:41:49.136Z] 18:41:49 INFO - toolkit/mozapps/extensions/test/xpcshell/xml-blocklist/test_blocklist_telemetry.js | Starting test_setup
[task 2019-08-28T18:41:49.137Z] 18:41:49 INFO - (xpcshell/head.js) | test test_setup pending (2)
[task 2019-08-28T18:41:49.137Z] 18:41:49 INFO - PID 2688 | 1567017708571 addons.manager DEBUG Application has been upgraded
[task 2019-08-28T18:41:49.137Z] 18:41:49 INFO - PID 2688 | 1567017708571 addons.manager DEBUG Loaded provider scope for resource://gre/modules/addons/XPIProvider.jsm: ["XPIProvider", "XPIInternal"]
[task 2019-08-28T18:41:49.137Z] 18:41:49 INFO - PID 2688 | 1567017708575 addons.manager DEBUG Loaded provider scope for resource://gre/modules/addons/GMPProvider.jsm
[task 2019-08-28T18:41:49.138Z] 18:41:49 INFO - PID 2688 | 1567017708576 addons.manager DEBUG Loaded provider scope for resource://gre/modules/addons/PluginProvider.jsm
[task 2019-08-28T18:41:49.138Z] 18:41:49 INFO - PID 2688 | 1567017708576 addons.manager DEBUG Starting provider: XPIProvider
[task 2019-08-28T18:41:49.138Z] 18:41:49 INFO - PID 2688 | 1567017708576 addons.xpi DEBUG startup
[task 2019-08-28T18:41:49.139Z] 18:41:49 INFO - PID 2688 | 1567017708577 addons.xpi WARN List of valid built-in add-ons could not be parsed.: [Exception... "Component returned failure code: 0xc1f30001 (NS_ERROR_NOT_INITIALIZED) [nsIXPCComponents_Utils.readUTF8URI]" nsresult: "0xc1f30001 (NS_ERROR_NOT_INITIALIZED)" location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm :: startup :: line 2362" data: no] Stack trace: startup()@resource://gre/modules/addons/XPIProvider.jsm:2362
[task 2019-08-28T18:41:49.139Z] 18:41:49 INFO - PID 2688 | callProvider()@resource://gre/modules/AddonManager.jsm:213
[task 2019-08-28T18:41:49.139Z] 18:41:49 INFO - PID 2688 | _startProvider()@resource://gre/modules/AddonManager.jsm:649
[task 2019-08-28T18:41:49.140Z] 18:41:49 INFO - PID 2688 | startup()@resource://gre/modules/AddonManager.jsm:873
[task 2019-08-28T18:41:49.140Z] 18:41:49 INFO - PID 2688 | startup()@resource://gre/modules/AddonManager.jsm:3469
[task 2019-08-28T18:41:49.140Z] 18:41:49 INFO - PID 2688 | observe()@resource://gre/modules/addonManager.js:86
[task 2019-08-28T18:41:49.140Z] 18:41:49 INFO - PID 2688 | promiseStartupManager()@resource://testing-common/AddonTestUtils.jsm:980
[task 2019-08-28T18:41:49.141Z] 18:41:49 INFO - PID 2688 | test_setup()@Z:/task_1567011072/build/tests/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/xml-blocklist/test_blocklist_telemetry.js:121
[task 2019-08-28T18:41:49.141Z] 18:41:49 INFO - PID 2688 | run_next_test/_run_next_test/<()@Z:\task_1567011072\build\tests\xpcshell\head.js:1565
[task 2019-08-28T18:41:49.141Z] 18:41:49 INFO - PID 2688 | _run_next_test()@Z:\task_1567011072\build\tests\xpcshell\head.js:1565
[task 2019-08-28T18:41:49.141Z] 18:41:49 INFO - PID 2688 | run()@Z:\task_1567011072\build\tests\xpcshell\head.js:733
[task 2019-08-28T18:41:49.142Z] 18:41:49 INFO - PID 2688 | _do_main()@Z:\task_1567011072\build\tests\xpcshell\head.js:246
[task 2019-08-28T18:41:49.142Z] 18:41:49 INFO - PID 2688 | _execute_test()@Z:\task_1567011072\build\tests\xpcshell\head.js:573
[task 2019-08-28T18:41:49.142Z] 18:41:49 INFO - PID 2688 | -e:1
[task 2019-08-28T18:41:49.142Z] 18:41:49 INFO - PID 2688 | 1567017708578 addons.xpi INFO SystemAddonLocation directory is missing
[task 2019-08-28T18:41:49.143Z] 18:41:49 INFO - PID 2688 | 1567017708585 addons.xpi INFO Removing all system add-on upgrades.
[task 2019-08-28T18:41:49.143Z] 18:41:49 INFO - PID 2688 | 1567017708586 addons.xpi DEBUG checkForChanges
[task 2019-08-28T18:41:49.143Z] 18:41:49 INFO - PID 2688 | 1567017708586 addons.xpi DEBUG Loaded add-on state: ${}
[task 2019-08-28T18:41:49.143Z] 18:41:49 INFO - PID 2688 | 1567017708586 addons.xpi DEBUG scanForChanges changed: false, state: {}
[task 2019-08-28T18:41:49.144Z] 18:41:49 INFO - PID 2688 | 1567017708586 addons.xpi DEBUG Empty XPI database, setting schema version preference to 31
[task 2019-08-28T18:41:49.144Z] 18:41:49 INFO - PID 2688 | 1567017708586 addons.xpi DEBUG No changes found
[task 2019-08-28T18:41:49.144Z] 18:41:49 INFO - PID 2688 | 1567017708594 addons.xpi-utils DEBUG Error: Synchronously loading the add-ons database(resource://gre/modules/addons/XPIDatabase.jsm:1537:15) JS Stack trace: syncLoadDB@XPIDatabase.jsm:1537:15
[task 2019-08-28T18:41:49.145Z] 18:41:49 INFO - PID 2688 | startup@XPIProvider.jsm:2417:23

Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

There have been 25 total failures in the last 7 days, affected platforms are macosx1014-64-shippable, windows7-32-shippable, windows-7, windows10-64-shippable, windows10-64-ccov and windows10-64: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2020-02-18&endday=2020-02-25&tree=trunk&bug=1577304

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=290300323&repo=autoland&lineNumber=5612

Gijs, can you please redirect this to someone who can take a look?

Status: REOPENED → RESOLVED
Closed: 2 years ago2 years ago
Flags: needinfo?(gijskruitbosch+bugs)
Resolution: --- → FIXED
Whiteboard: [stockwell needswork]
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Status: REOPENED → NEW

It looks from the updated graph ( https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2020-02-18&endday=2020-02-25&tree=all&bug=1577304 ) that this spiked on Sunday and then went back down. That's pretty strange; did something cause a lot of failures and get backed out on the Sunday? I'm not sure this really "needs work" if the volume is genuinely back down. It'd also be good if we understood what caused the spike though - was there a connectivity / tree closing issue on Sunday that could explain this?

Flags: needinfo?(gijskruitbosch+bugs) → needinfo?(malexandru)

(In reply to :Gijs (he/him) from comment #18)

It looks from the updated graph ( https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2020-02-18&endday=2020-02-25&tree=all&bug=1577304 ) that this spiked on Sunday and then went back down. That's pretty strange; did something cause a lot of failures and get backed out on the Sunday? I'm not sure this really "needs work" if the volume is genuinely back down. It'd also be good if we understood what caused the spike though - was there a connectivity / tree closing issue on Sunday that could explain this?

Or, put differently, do we have any idea what regressed this? Failing 0.5% of pushes means I need to retrigger the test more than 100 times to figure out what is going on / whether it's fixed, which isn't really workable.

On the 24th there were issues with hg.mozilla.org and early in the morning the gecko decision tasks had issues, so perhaps that could be related.

I did some retriggers for XPCShell jobs on windows10-64-shippable, were a part of the failures happened.

I chose the period between the 21st and the 24th, but I didn't see any failure, so my guess is that the spike was related to something infrastructure related.
https://treeherder.mozilla.org/#/jobs?repo=mozilla-central&searchStr=Windows%2C10%2Cx64%2CShippable%2Copt%2CXpcshell%2Ctests%2Ctest-windows10-64-shippable%2Fopt-xpcshell-e10s-1%2CX%28X1%29&fromchange=793e3b87db82871f182046db439391d86d47cb67&group_state=expanded&tochange=28418b02132f1db7d9214f7cb77735fe85bb76cf

Flags: needinfo?(malexandru)

We are currently having problems with Bug 1562412 and build signing, along with beetmover issues, so I triggered the same jobs on our current latest merge and voila, I'm getting these failures again:

https://treeherder.mozilla.org/#/jobs?repo=mozilla-central&group_state=expanded&searchStr=windows%2C10%2Cx64%2Cshippable%2Copt%2Cxpcshell%2Ctests%2Ctest-windows10-64-shippable%2Fopt-xpcshell-e10s-1%2Cx%28x1%29&revision=7f41334e10443f4f1c7426e86fb0cb7adfdf4d62

Don't know how or if they are related, but these are my findings.

I'm going to fix this by just removing all the things in bug 1618188.

Depends on: 1618188

(In reply to Natalia Csoregi [:nataliaCs] from comment #26)

:Gijs, could we disable the test for the time being until Bug 1618188 will be resolved?
Thank you.

Sure.

Flags: needinfo?(gijskruitbosch+bugs)

Removed from m-c, --> fixed

Status: NEW → RESOLVED
Closed: 2 years ago2 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.